libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.157. __nv_fmul_rn

Prototype:

    float @__nv_fmul_rn(float %x, float %y)

Description:

Compute the product of `x` and `y` in round-to-nearest-even mode.

Returns:

Returns `x` * `y`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

This operation will never be merged into a single multiply-add instruction.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes